#ifndef EDIT_H_
#define EDIT_H_

#include "Level.h"
#include "geometry.h"

#define EDIT_MODE_VIEW     0
#define EDIT_MODE_SELECTED 1
#define EDIT_MODE_ADD      2

int getEditMode();

Level *getLevel();
void setLevel(Level *l);

Room *getActiveRoom();
void setActiveRoom(Room *room);

void startAddMode();
void endAddMode();

Room *getHoveredRoom();

Vertex *getHoveredVertex();
void setHoveredVertex(Vertex *v);

bool isVertexOk(Vertex *v);
bool isPolygonOk(Polygon *polygon);

#endif /*EDIT_H_*/
